/*
 * graphic_transform.hpp
 *
 * Resizing and Colour-Changing of graphics
 *
 * Copyright (c) Stephen Thompson, 2008.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 *
 */

#ifndef GRAPHIC_TRANSFORM_HPP
#define GRAPHIC_TRANSFORM_HPP

class ColourChange;
class GfxResizer;
class Graphic;

// These return a new pointer, allocated with new.

Graphic * CreateGraphicWithCC(const Graphic &original, const ColourChange &cc);
Graphic * CreateResizedGraphic(const GfxResizer &resizer, const Graphic &original, int new_width, int new_height);

#endif
