/*
 * sdl_bitmap_font.hpp
 *
 * SDLFont implementation that loads fonts from a bitmap surface.
 *
 * Copyright (c) Stephen Thompson, 2008.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 * 
 */

#ifndef SDL_BITMAP_FONT_HPP
#define SDL_BITMAP_FONT_HPP

#include "sdl_font.hpp"

class SDLBitmapFont : public SDLFont {
public:
    // NB. Font surface is handed over to this class.
    explicit SDLBitmapFont(SDL_Surface *font);
    ~SDLBitmapFont();
    
    // coords relative to top-left of the text.
    virtual void drawText(SDL_Surface *scr, int tl_x, int tl_y, const char *txt,
                          int r, int g, int b) const;

    virtual void getTextSize(const char *txt, int &w, int &h) const;
    virtual int getTextHeight() const;

private:
    SDL_Surface *font;
    int ofs[256];
    int width[256];
};

#endif
