/*
 * rgb.hpp
 *
 * Struct holding an RGB triple
 * Values range from 0 to 255.
 *
 * Copyright (c) Stephen Thompson, 2008.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 *
 */

#ifndef RGB_HPP
#define RGB_HPP

struct RGB {
    unsigned char r, g, b;
    bool operator<(const RGB &other) const {
        return (int(r)<<16) + (int(g)<<8) + int(b) < (int(other.r) << 16) + (int(other.g) << 8) + int(other.b);
    };
    bool operator==(const RGB &other) const {
        return r==other.r && g==other.g && b==other.b;
    }
    bool operator!=(const RGB &other) const {
        return !(*this == other);
    }
};

#endif
